
Redmine - Defect #2426

Error browsing repository or activities

2008-12-31 23:31 - Adrian Tarau

Status: Closed Start date: 2008-12-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.7.3

Description

Everything worked fine until today, when I get this exception in the production.log. I have Redmine 0.7.3, ruby 1.8.7 (2008-08-11

patchlevel 72) [x86_64-linux], MySQL 5.0.67-log and Rails 2.1.1(??? hmm, maybe Rails was updated, I thought I have 2.0.X)

Processing RepositoriesController#show (for 67.84.127.240 at 2008-12-31 14:19:45) [GET]

  Session ID: 4fbf2da8233dab6d5c159f6dd6b99418

  Parameters: {"action"=>"show", "id"=>"intellicommons", "controller"=>"repositories"}

Rendering template within layouts/base

Rendering repositories/show

ActionView::TemplateError (undefined method `length' for #<Enumerable::Enumerator:0x2abe7eee5c48>)

 on line #22 of repositories/_dir_list_content.rhtml:

19: <td class="age"><%= distance_of_time_in_words(entry.lastrev.time, Time.now) if entry.lastrev &

& entry.lastrev.time %></td>

20: <td class="author"><%=h(entry.lastrev.author.to_s.split('<').first) if entry.lastrev %></td>

21: <% changeset = @project.repository.changesets.find_by_revision(entry.lastrev.identifier) if en

try.lastrev && entry.lastrev.identifier %>

22: <td class="comments"><%=h truncate(changeset.comments, 50) unless changeset.nil? %></td>

23: </tr>

24: <% end %>

    vendor/rails/actionpack/lib/action_view/helpers/text_helper.rb:50:in `truncate'

    app/views/repositories/_dir_list_content.rhtml:22:in `_run_erb_47app47views47repositories47_di

r_list_content46rhtml'

    app/views/repositories/_dir_list_content.rhtml:1:in `each'

    app/views/repositories/_dir_list_content.rhtml:1:in `_run_erb_47app47views47repositories47_dir

_list_content46rhtml'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `send'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `compile_and_render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:365:in `render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:316:in `render_file'

    vendor/rails/actionpack/lib/action_view/base.rb:331:in `render'

    vendor/rails/actionpack/lib/action_view/partials.rb:120:in `render_partial'

    vendor/rails/actionpack/lib/action_view/base.rb:352:in `render'

    app/views/repositories/_dir_list.rhtml:13:in `_run_erb_47app47views47repositories47_dir_list46

rhtml'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `send'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `compile_and_render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:365:in `render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:316:in `render_file'

    vendor/rails/actionpack/lib/action_view/base.rb:331:in `render'

    vendor/rails/actionpack/lib/action_view/partials.rb:120:in `render_partial'

    vendor/rails/actionpack/lib/action_view/base.rb:352:in `render'

    app/views/repositories/show.rhtml:9:in `_run_erb_47app47views47repositories47show46rhtml'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `send'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `compile_and_render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:365:in `render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:316:in `render_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:1100:in `render_for_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:836:in `render_with_no_layout'

    vendor/rails/actionpack/lib/action_controller/layout.rb:262:in `render_without_benchmark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'
    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1153:in `default_render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1159:in `perform_action_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:697:in `call_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:689:in `perform_action_without_benchm

ark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_re

scue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_re

scue'

    vendor/rails/actionpack/lib/action_controller/rescue.rb:199:in `perform_action_without_caching

'

    vendor/rails/actionpack/lib/action_controller/caching.rb:678:in `perform_action'

    vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in 

`cache'

    vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

    vendor/rails/actionpack/lib/action_controller/caching.rb:677:in `perform_action'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `send'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `process_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:685:in `process_without_session_manag

ement_support'

    vendor/rails/actionpack/lib/action_controller/session_management.rb:123:in `process'

    vendor/rails/actionpack/lib/action_controller/base.rb:388:in `process'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:171:in `handle_request'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:115:in `dispatch'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:9:in `dispatch'

    vendor/rails/railties/lib/fcgi_handler.rb:101:in `process_request'

    vendor/rails/railties/lib/fcgi_handler.rb:149:in `with_signal_handler'

    vendor/rails/railties/lib/fcgi_handler.rb:99:in `process_request'

    vendor/rails/railties/lib/fcgi_handler.rb:77:in `process_each_request'

    /usr/lib/ruby/1.8/fcgi.rb:612:in `each_cgi'

    /usr/lib/ruby/1.8/fcgi.rb:609:in `each'

    /usr/lib/ruby/1.8/fcgi.rb:609:in `each_cgi'

    vendor/rails/railties/lib/fcgi_handler.rb:76:in `process_each_request'

    vendor/rails/railties/lib/fcgi_handler.rb:50:in `process!'

    vendor/rails/railties/lib/fcgi_handler.rb:24:in `process!'

    dispatch.fcgi:24

Rendering /mnt/local/home/USER_NAME/projects.adrian.tarau.org/public/500.html (500 Internal Server

 Error)

Also this command fails :

~/projects.adrian.tarau.org$ ruby script/about

/mnt/local/home/USER_NAME/projects.adrian.tarau.org/config/environment.rb:7: warning: already init

ialized constant RAILS_ENV

/mnt/local/home/USER_NAME/projects.adrian.tarau.org/vendor/rails/activerecord/lib/../../activesupp

ort/lib/active_support/dependencies.rb:263:in `load_missing_constant': uninitialized constant Rail

s::Info (NameError)

        from /mnt/local/home/USER_NAME/projects.adrian.tarau.org/vendor/rails/activerecord/lib/../

../activesupport/lib/active_support/dependencies.rb:453:in `const_missing'

        from /mnt/local/home/USER_NAME/projects.adrian.tarau.org/vendor/rails/railties/lib/command

s/about.rb:2

        from script/about:3:in `require'

        from script/about:3

History

#1 - 2008-12-31 23:40 - Adrian Tarau

- Status changed from New to Resolved

Ok, 0.7.3 doesn't support Rails 2.1.X, my bad.
#2 - 2009-01-02 20:20 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

0.7.3 requires Rails 2.0.2 and ruby 1.8.6

Powered by TCPDF (www.tcpdf.org)

2025-05-17 3/3

http://www.tcpdf.org

